[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.WriteBinaryStream

Write binary data

## Declaration

Source position: inifiles.pp line 149

`public procedure TCustomIniFile.WriteBinaryStream(`
`const Section: string;`
`const Name: string;`
`Value: TStream`
`); virtual;`

## Arguments

`Section` |  | Section to write key value to
`Name` |  | Key name with which to write value
`Value` |  | Binary data to write

## Description

WriteBinaryStream writes the binary data in Value with the name Ident to the section Section, overwriting any previous value that may exist there. The section will be created if it does not exist.

The binary data is encoded using a 2-byte hexadecimal value per byte in the data stream. The data stream must be seekable, so it's size can be determined. The data stream is not repositioned, it must be at the correct position.

## See also

ReadBinaryStream |  | Read binary data
WriteInteger |  | Write an integer value
WriteBool |  | Write boolean value
WriteDate |  | Write date value
WriteDateTime |  | Write date/time value
WriteTime |  | Write time value
WriteFloat |  | Write a floating-point value
WriteString |  | Write a string value

Documentation generated on: Feb 26 2014